package com.example.quiz.data.repository.module;


import com.example.quiz.data.remote.ApiService;
import com.example.quiz.data.repository.CourseRepository;
import com.example.quiz.data.repository.ReunionRepository;

import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;
import dagger.hilt.InstallIn;
import dagger.hilt.components.SingletonComponent;

@Module
@InstallIn(SingletonComponent.class)
public class RepositoryModule {
    @Provides
    @Singleton
    public ReunionRepository provideReunionRepository(ApiService apiService){
        return new ReunionRepository(apiService);
    }

    @Provides
    @Singleton
    public CourseRepository provideCourseRepository(ApiService apiService){
        return new CourseRepository(apiService);
    }
}
